//import 'package:liftmanager/order/models/search_entity.dart';
//import 'package:liftmanager/shop/models/user_entity.dart';

import 'package:liftmanager/internal/account/model/user_entity.dart';
import 'package:liftmanager/internal/team/model/team_entity.dart';
import 'package:liftmanager/internal/work/model/banner_entity.dart';

class EntityFactory {
  static T generateOBJ<T>(json) {
    if (1 == 0) {
      return null;
    } else if (T.toString() == "TeamEntity") {
      return TeamEntity.fromJsonMap(json) as T;
    }else if (T.toString() == "TeamItem") {
      return TeamItem.fromJsonMap(json) as T;
    }else if (T.toString() == "BannerEntity") {
      return BannerEntity.fromJsonMap(json) as T;
    } else if (T.toString() == "UserEntity") {
      return UserEntity.fromJsonMap(json) as T;
    } else {
      return null;
    }
  }
}
